import * as prismic from "@prismicio/client";
const repoName = `example-prismic-repo`;
const routes = [
  {
    type: "example_custom_type",
    path: "/:uid"
  }
];
const createClient = ({ request, fetch } = {}) => {
  const clientOptions = {
    fetch,
    routes
  };
  const client = prismic.createClient(repoName, clientOptions);
  if (request) {
    client.enableAutoPreviewsFromReq(request);
  }
  return client;
};
export {
  createClient as c
};
