import createClient from '$lib/prismicio';
import { error } from '@sveltejs/kit';

export async function load({ fetch, request }) {
  const client = createClient({ fetch, request });

  const documents = await client.getByType('example_custom_type');

  if (documents) {
    return { documents };
  } else {
    throw error(404, 'Not found');
  }
}
