import { c as createClient } from "../../chunks/prismicio.js";
import { e as error } from "../../chunks/index2.js";
import "@prismicio/client";
async function load({ fetch, request }) {
  const client = createClient({ fetch, request });
  const documents = await client.getByType("example_custom_type");
  if (documents) {
    return { documents };
  } else {
    throw error(404, "Not found");
  }
}
export {
  load
};
