import { c as create_ssr_component, d as each, f as add_attribute, e as escape } from "../../chunks/index.js";
const Page = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let { data } = $$props;
  const { documents } = data;
  if ($$props.data === void 0 && $$bindings.data && data !== void 0)
    $$bindings.data(data);
  return `${each(documents.results, (document) => {
    return `<div><a${add_attribute("href", document.url, 0)}>${escape(document.uid)}</a>
  </div>`;
  })}`;
});
export {
  Page as default
};
