export const manifest = {
	appDir: "_app",
	assets: new Set(["favicon.png"]),
	mimeTypes: {".png":"image/png"},
	_: {
		entry: {"file":"_app/immutable/start-ce696309.js","imports":["_app/immutable/start-ce696309.js","_app/immutable/chunks/index-42d60e16.js"],"stylesheets":[]},
		nodes: [
			() => import('./nodes/0.js'),
			() => import('./nodes/1.js'),
			() => import('./nodes/2.js'),
			() => import('./nodes/3.js')
		],
		routes: [
			{
				type: 'page',
				id: "",
				pattern: /^\/$/,
				names: [],
				types: [],
				errors: [1],
				layouts: [0],
				leaf: 2
			},
			{
				type: 'endpoint',
				id: "preview",
				pattern: /^\/preview\/?$/,
				names: [],
				types: [],
				load: () => import('./entries/endpoints/preview/_server.js')
			},
			{
				type: 'endpoint',
				id: "redirect",
				pattern: /^\/redirect\/?$/,
				names: [],
				types: [],
				load: () => import('./entries/endpoints/redirect/_server.js')
			},
			{
				type: 'page',
				id: "[uid]",
				pattern: /^\/([^/]+?)\/?$/,
				names: ["uid"],
				types: [null],
				errors: [1],
				layouts: [0],
				leaf: 3
			}
		],
		matchers: async () => {
			
			return {  };
		}
	}
};
